org.bouncycastle.asn1.cms

## Class SignerIdentifier

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cms.SignerIdentifier

All Implemented Interfaces:
  ASN1Choice, DEREncodable

    public class SignerIdentifier
    extends ASN1Encodable
    implements ASN1Choice

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`SignerIdentifier(ASN1OctetString id)`
`SignerIdentifier(DERObject id)`
`SignerIdentifier(IssuerAndSerialNumber id)`

### Method Summary

Methods
`DEREncodable` `getId()`
`static SignerIdentifier` `getInstance(java.lang.Object o)` return a SignerIdentifier object from the given object.
`boolean` `isTagged()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SignerIdentifier

    public SignerIdentifier(IssuerAndSerialNumber id)

#### SignerIdentifier

    public SignerIdentifier(ASN1OctetString id)

#### SignerIdentifier

    public SignerIdentifier(DERObject id)

### Method Detail

#### getInstance

    public static SignerIdentifier getInstance(java.lang.Object o)

return a SignerIdentifier object from the given object.

Parameters:
  `o` - the object we want converted.
Throws:
  `java.lang.IllegalArgumentException` - if the object cannot be converted.

#### isTagged

    public boolean isTagged()

#### getId

    public DEREncodable getId()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     SignerIdentifier ::= CHOICE {
         issuerAndSerialNumber IssuerAndSerialNumber,
         subjectKeyIdentifier [0] SubjectKeyIdentifier
     }

     SubjectKeyIdentifier ::= OCTET STRING

Specified by:
  `toASN1Object` in class `ASN1Encodable`